Bug 233326 - CVE-2007-0240 Conga includes version of Zope that is vulnerable to a XSS attack
CVE-2007-0240 Conga includes version of Zope that is vulnerable to a XSS attack
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan McCabe
Cluster QE
: Security
Depends On:
  Show dependency treegraph
Reported: 2007-03-21 13:13 EDT by Lubomir Kundrak
Modified: 2009-04-16 18:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2007-0331
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-18 16:29:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-03-21 13:13:29 EDT
Description of problem:

Hotfix was issued for Zope that corrects a Cross-Site scripting
vulnerability. Conga package includes Zope.

Version-Release number of selected component (if applicable):

As per the upstream announcement:
* Zope 2.8.0 - 2.8.8
* Zope 2.9.0 - 2.9.6
* Zope 2.10.0 - 2.10.2
* Earlier versions of Zope 2

Additional info:

I am not sure how this affects conga, nor how is it exploitable.
Comment 1 Lubomir Kundrak 2007-03-22 13:22:51 EDT
Stanko: Please could you help me decide about impact of this?
Comment 2 Jim Parsons 2007-03-23 15:22:52 EDT
Hi Lubomir,
 We have had the hot fix pulled down for a day or so now, and we have been
dissecting it.
The hot fix for Zope mentioned addresses some internal admin functionality
within the Zope code. While we have chosen to remove much of this functionality
in the package we are shipping - parts of zope that we ship is still vulnerable
to the issue that the hot fix solves - but: we do not allow access to those mgmt
functions in Conga. We have all zope mgmt URLs set to disallow all. The only
part of our app that calls into those methods is in our homebase tab - and we
use exclusively POST forms there. Still, as a precaution we are testing it now,
and intend to add it to what we are shipping in an async errata for RHEL5 (out
in 3 - 4 weeks, we plan) as well as being in the RHEL4.5 version of our application.

Here is a link with more information about the problem that we found:
Comment 3 Ryan McCabe 2007-03-26 22:15:08 EDT
All trees have been updated to use versions of Zope with this fix included.
Comment 4 RHEL Product and Program Management 2007-03-27 15:45:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 7 Red Hat Bugzilla 2007-05-18 16:29:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.